# HG changeset patch
# User Mychaela Falconia <falcon@freecalypso.org>
# Date 1648671094 0
# Node ID 9998c015a6877346af2527b0eb9295ca6af4ed12
# Parent  8ff9bce1b56eee7563a07c331e6c79bd8a299bfa
ringtools/fc-meltest-pwt: shell script created, works as expected

diff -r 8ff9bce1b56e -r 9998c015a687 ringtools/fc-meltest-pwt
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/ringtools/fc-meltest-pwt	Wed Mar 30 20:11:34 2022 +0000
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+if [ $# != 1 ]
+then
+	echo "usage: $0 pwt_melody_file" 1>&2
+	exit 1
+fi
+
+tmpfile=/tmp/fc-test-melody.bz
+
+set -ex
+
+fc-pwt-comp "$1" $tmpfile
+fc-fsio upload-file $tmpfile /buz/test.bz
+fc-shell 'at@buz="/buz/test.bz"'